package com.muyu.customer.business.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 电子围栏对象 fence
 *
 * @author muyu
 * @date 2024-05-31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FenceQueryReq", description = "电子围栏")
public class FenceQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 电子围栏名称 */
    @ApiModelProperty(name = "电子围栏名称", value = "电子围栏名称")
    private String name;

    /** 围栏类型 */
    @ApiModelProperty(name = "围栏类型", value = "围栏类型")
    private String fenceType;

    /** 经纬度信息 */
    @ApiModelProperty(name = "经纬度信息", value = "经纬度信息")
    private String longitudeAndLatitude;

}
