package com.muyu.customer.business.domain.req;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 车辆录入对象 vehicle
 *
 * @author muyu
 * @date 2024-05-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "VehicleQueryReq", description = "车辆录入")
public class VehicleQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 车辆vin */
    @ApiModelProperty(name = "车辆vin", value = "车辆vin")
    private String vin;

    /** 品牌 */
    @ApiModelProperty(name = "品牌", value = "品牌")
    private String brand;

    /** 型号 */
    @ApiModelProperty(name = "型号", value = "型号")
    private String model;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "生产日期", value = "生产日期")
    private Date productionDate;

    /** 车身类型 */
    @ApiModelProperty(name = "车身类型", value = "车身类型")
    private String bodyType;

    /** 车身颜色 */
    @ApiModelProperty(name = "车身颜色", value = "车身颜色")
    private String color;

    /** 发动机排量 */
    @ApiModelProperty(name = "发动机排量", value = "发动机排量")
    private BigDecimal engineCapacity;

    /** 燃油类型 */
    @ApiModelProperty(name = "燃油类型", value = "燃油类型")
    private String fuelType;

    /** 变速器类型 */
    @ApiModelProperty(name = "变速器类型", value = "变速器类型")
    private String transmission;

    /** 驱动方式 */
    @ApiModelProperty(name = "驱动方式", value = "驱动方式")
    private String driveType;

    /** 行驶里程 */
    @ApiModelProperty(name = "行驶里程", value = "行驶里程")
    private BigDecimal mileage;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "注册日期", value = "注册日期")
    private Date registrationDate;

    /** 车牌号码 */
    @ApiModelProperty(name = "车牌号码", value = "车牌号码")
    private String licenseNumber;

    /** 持有者 */
    @ApiModelProperty(name = "持有者", value = "持有者")
    private String holder;

    /** 车辆类型 */
    @ApiModelProperty(name = "车辆类型", value = "车辆类型")
    private String vehicleType;

}
