package com.muyu.customer.business.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.customer.business.mapper.FenceMapper;
import com.muyu.customer.business.domain.Fence;
import com.muyu.customer.business.service.FenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 电子围栏Service业务层处理
 *
 * @author muyu
 * @date 2024-05-31
 */
@Slf4j
@Service
public class FenceServiceImpl extends ServiceImpl<FenceMapper, Fence>  implements FenceService {

    /**
     * 查询电子围栏列表
     *
     * @param fence 电子围栏
     * @return 电子围栏
     */
    @Override
    public List<Fence> list(Fence fence) {
        LambdaQueryWrapper<Fence> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(fence.getName())){
            queryWrapper.like(Fence::getName, fence.getName());
        }

        if (ObjUtils.notNull(fence.getFenceType())){
            queryWrapper.eq(Fence::getFenceType, fence.getFenceType());
        }

        if (ObjUtils.notNull(fence.getLongitudeAndLatitude())){
            queryWrapper.eq(Fence::getLongitudeAndLatitude, fence.getLongitudeAndLatitude());
        }





        return list(queryWrapper);
    }
}
