package com.muyu.net.working.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 企业信息对象 enterprise
 *
 * @author muyu
 * @date 2024-05-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "EnterpriseSaveReq", description = "企业信息")
public class EnterpriseSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private String id;

    /** 企业名称 */

    @ApiModelProperty(name = "企业名称", value = "企业名称")
    private String ebterpriseName;

    /** 法定代表人 */

    @ApiModelProperty(name = "法定代表人", value = "法定代表人")
    private String legalPerson;

    /** 经营执照凭证号码 */

    @ApiModelProperty(name = "经营执照凭证号码", value = "经营执照凭证号码")
    private String businessLincenseNumber;

    /** 企业成立时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "企业成立时间", value = "企业成立时间")
    private Date estabinessDate;

    /** 经营范围 */

    @ApiModelProperty(name = "经营范围", value = "经营范围")
    private String businessScope;

    /** 注册地址 */

    @ApiModelProperty(name = "注册地址", value = "注册地址")
    private String address;

    /** 企业联系方式 */

    @ApiModelProperty(name = "企业联系方式", value = "企业联系方式")
    private String contactPhone;

    /** 公司邮箱 */

    @ApiModelProperty(name = "公司邮箱", value = "公司邮箱")
    private String email;

    /** 企业当前状态 */

    @ApiModelProperty(name = "企业当前状态", value = "企业当前状态")
    private String status;

    /** 企业入驻平台时期 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "企业入驻平台时期", value = "企业入驻平台时期")
    private Date registrationDate;

    /** 企业认证id */

    @ApiModelProperty(name = "企业认证id", value = "企业认证id")
    private Long certificationId;

    /** 认证时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "认证时间", value = "认证时间")
    private Date authenticationDate;

    /** 服务级别 */

    @ApiModelProperty(name = "服务级别", value = "服务级别")
    private Long serviceLevel;

    /** 开通服务id */

    @ApiModelProperty(name = "开通服务id", value = "开通服务id")
    private Long openServerId;

    /** 增值服务id */

    @ApiModelProperty(name = "增值服务id", value = "增值服务id")
    private Long addServerId;

}
