package com.muyu.net.working.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.net.working.mapper.EnterpriseMapper;
import com.muyu.net.working.domain.Enterprise;
import com.muyu.net.working.service.EnterpriseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 企业信息Service业务层处理
 *
 * @author muyu
 * @date 2024-05-27
 */
@Slf4j
@Service
public class EnterpriseServiceImpl extends ServiceImpl<EnterpriseMapper, Enterprise>  implements EnterpriseService {

    /**
     * 查询企业信息列表
     *
     * @param enterprise 企业信息
     * @return 企业信息
     */
    @Override
    public List<Enterprise> list(Enterprise enterprise) {
        LambdaQueryWrapper<Enterprise> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(enterprise.getEbterpriseName())){
            queryWrapper.like(Enterprise::getEbterpriseName, enterprise.getEbterpriseName());
        }

        if (ObjUtils.notNull(enterprise.getLegalPerson())){
            queryWrapper.eq(Enterprise::getLegalPerson, enterprise.getLegalPerson());
        }

        if (ObjUtils.notNull(enterprise.getBusinessLincenseNumber())){
            queryWrapper.eq(Enterprise::getBusinessLincenseNumber, enterprise.getBusinessLincenseNumber());
        }

        if (ObjUtils.notNull(enterprise.getEstabinessDate())){
            queryWrapper.eq(Enterprise::getEstabinessDate, enterprise.getEstabinessDate());
        }

        if (ObjUtils.notNull(enterprise.getBusinessScope())){
            queryWrapper.eq(Enterprise::getBusinessScope, enterprise.getBusinessScope());
        }

        if (ObjUtils.notNull(enterprise.getAddress())){
            queryWrapper.eq(Enterprise::getAddress, enterprise.getAddress());
        }

        if (ObjUtils.notNull(enterprise.getContactPhone())){
            queryWrapper.eq(Enterprise::getContactPhone, enterprise.getContactPhone());
        }

        if (ObjUtils.notNull(enterprise.getEmail())){
            queryWrapper.eq(Enterprise::getEmail, enterprise.getEmail());
        }

        if (ObjUtils.notNull(enterprise.getStatus())){
            queryWrapper.eq(Enterprise::getStatus, enterprise.getStatus());
        }

        if (ObjUtils.notNull(enterprise.getRegistrationDate())){
            queryWrapper.eq(Enterprise::getRegistrationDate, enterprise.getRegistrationDate());
        }

        if (ObjUtils.notNull(enterprise.getCertificationId())){
            queryWrapper.eq(Enterprise::getCertificationId, enterprise.getCertificationId());
        }

        if (ObjUtils.notNull(enterprise.getAuthenticationDate())){
            queryWrapper.eq(Enterprise::getAuthenticationDate, enterprise.getAuthenticationDate());
        }

        if (ObjUtils.notNull(enterprise.getServiceLevel())){
            queryWrapper.eq(Enterprise::getServiceLevel, enterprise.getServiceLevel());
        }

        if (ObjUtils.notNull(enterprise.getOpenServerId())){
            queryWrapper.eq(Enterprise::getOpenServerId, enterprise.getOpenServerId());
        }

        if (ObjUtils.notNull(enterprise.getAddServerId())){
            queryWrapper.eq(Enterprise::getAddServerId, enterprise.getAddServerId());
        }





        return list(queryWrapper);
    }
}
